#/**
#         ogr SetPartitionActive int_ndisk int_npartition
#@brief   Establece cual es la partición activa de un disco.
#@param   int_ndisk      nº de orden del disco
#@param   int_npartition nº de orden de la partición
#@return  (nada).
#@exception OG_ERR_FORMAT   Formato incorrecto.
#@exception OG_ERR_NOTFOUND Disco o partición no corresponden con un dispositivo.
#@note    Requisitos: parted
#@version 0.1 -  Integracion para Opengnsys  -  EAC: SetPartitionActive() en ATA.lib
#@author  Antonio J. Doblas Viso, Universidad de Malaga
#@date    2008/10/27
#@version 0.9 - Primera version compatible con OpenGNSys.
#@author  Ramon Gomez, ETSII Universidad de Sevilla
#@date    2009/09/17
#*/ ##
# Variables locales
local DISK PART

# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME int_ndisk int_npartition" \
	   "$FUNCNAME 1 1"
    return
fi
# Error si no se reciben 2 parámetros.
[ $# == 2 ] || ogr RaiseError $OG_ERR_FORMAT || return $?

# Comprobar que el disco existe y activar la partición indicada.
DISK="$(ogr DiskToDev $1)" || return $?
PART="$(ogr DiskToDev $1 $2)" || return $?
parted -s $DISK set $2 boot on 2>/dev/null
